package com.imprimelibros.erp.presupuesto.classes;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.MessageSource;
import org.springframework.stereotype.Component;

import java.util.Locale;
import java.util.Map;

@Component
public class PresupuestadorItems {

    

    @Autowired
    private MessageSource messageSource;

    public ImagenPresupuesto getImpresionNegro(Locale locale) {
        return new ImagenPresupuesto(
                "negro",
                "/assets/images/imprimelibros/presupuestador/blancoYnegro.png",
                "",
                messageSource.getMessage("presupuesto.blanco-negro", null, locale),
                false);
    }

    public ImagenPresupuesto getImpresionNegroPremium(Locale locale) {
        return new ImagenPresupuesto(
                "negrohq",
                "/assets/images/imprimelibros/presupuestador/negroFoto.png",
                "",
                messageSource.getMessage("presupuesto.blanco-negro-premium", null, locale),
                false);
    }

    public ImagenPresupuesto getImpresionColor(Locale locale) {

        return new ImagenPresupuesto(
                "color",
                "/assets/images/imprimelibros/presupuestador/color.png",
                "",
                messageSource.getMessage("presupuesto.color", null, locale),
                false);
    }

    public ImagenPresupuesto getImpresionColorPremium(Locale locale) {
        return new ImagenPresupuesto(
                "colorhq",
                "/assets/images/imprimelibros/presupuestador/colorFoto.png",
                "",
                messageSource.getMessage("presupuesto.color-premium", null, locale),
                false);
    }

    public ImagenPresupuesto getPapelOffsetBlanco(Locale locale) {

        return new ImagenPresupuesto(
                "offset-blanco",
                "/assets/images/imprimelibros/presupuestador/offset-blanco.png",
                "",
                messageSource.getMessage("presupuesto.offset-blanco", null, locale),
                Map.of("sk-id", "3"),
                false);
    }

    public ImagenPresupuesto getPapelOffsetBlancoVolumen(Locale locale) {

        return new ImagenPresupuesto(
                "offset-blanco-volumen",
                "/assets/images/imprimelibros/presupuestador/offset-blanco.png",
                "",
                messageSource.getMessage("presupuesto.offset-blanco-volumen", null, locale),
                Map.of("sk-id", "7"),
                false);
    }

    public ImagenPresupuesto getPapelOffsetAhuesado(Locale locale) {

        return new ImagenPresupuesto(
                "offset-ahuesado",
                "/assets/images/imprimelibros/presupuestador/offset-ahuesado.png",
                "",
                messageSource.getMessage("presupuesto.offset-ahuesado", null, locale),
                Map.of("sk-id", "4"),
                false);
    }

    public ImagenPresupuesto getPapelOffsetAhuesadoVolumen(Locale locale) {

        return new ImagenPresupuesto(
                "offset-ahuesado-volumen",
                "/assets/images/imprimelibros/presupuestador/offset-ahuesado-volumen.png",
                "",
                messageSource.getMessage("presupuesto.offset-ahuesado-volumen", null, locale),
                Map.of("sk-id", "6"),
                false);
    }

    public ImagenPresupuesto getPapelEstucadoMate(Locale locale) {

        return new ImagenPresupuesto(
                "estucado-mate",
                "/assets/images/imprimelibros/presupuestador/estucado-mate.png",
                "",
                messageSource.getMessage("presupuesto.estucado-mate", null, locale),
                Map.of("sk-id", "2"),
                false);
    }

    public ImagenPresupuesto getCartulinaGraficaCubierta(Locale locale) {

        return new ImagenPresupuesto(
                "cartulina-grafica-cubierta",
                "/assets/images/imprimelibros/presupuestador/cartulina-grafica.png",
                "",
                messageSource.getMessage("presupuesto.cartulina-grafica-cubierta", null, locale),
                Map.of("sk-id", "5"),
                false);
    }

    public ImagenPresupuesto getEstucadoMateCubierta(Locale locale) {

        return new ImagenPresupuesto(
                "estucado-mate-cubierta",
                "/assets/images/imprimelibros/presupuestador/estucado-mate-cubierta.png",
                "",
                messageSource.getMessage("presupuesto.estucado-mate-cubierta", null, locale),
                Map.of("sk-id", "2"),
                false);
    }
}
